Bug 482803 - ibus doesn't support for the scim-sayura
ibus doesn't support for the scim-sayura
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: ibus (Show other bugs)
rawhide
All Linux
low Severity medium
: ---
: ---
Assigned To: Pravin Satpute
Fedora Extras Quality Assurance
: Reopened
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-01-28 04:46 EST by Danishka Navin
Modified: 2009-03-30 01:47 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-30 01:47:06 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Danishka Navin 2009-01-28 04:46:47 EST
Description of problem:

As most of our community use scim-sayura we need the ibus support for the scim-sayura. 

It would be really nice fi we can add it do F11 release.

Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Peng Huang 2009-02-11 03:20:47 EST
Could you try ibus-m17n? ibus-m17n is an engine based on m17n library. I think m17n includes sayura keymap for you.
Comment 2 Pravin Satpute 2009-02-11 03:46:30 EST
scim-sayura is separate IMEngine, It is not part of m17n-db
Comment 3 Peng Huang 2009-02-11 03:55:48 EST
I see. I just guess ibus-m17n provides similar input method.  Right?
Comment 4 Pravin Satpute 2009-02-11 04:17:12 EST
it is different than, presently available with m17n-db, but as you suggested i think it is possible to develop such with mim file
as depending on previous input it fetch present key, might be there are some more intelligence

i will see it once finished in hand task :)
Comment 5 Pravin Satpute 2009-03-30 01:47:06 EDT
i have developed sayura scheme for ibus also
it is presently in rawhide
yum install ibus-sayura

else
for testing in F10

install ibus from http://koji.fedoraproject.org/koji/buildinfo?buildID=95768

and ibus-sayura from http://koji.fedoraproject.org/koji/buildinfo?buildID=95440

let me know if any problem

Note You need to log in before you can comment on or make changes to this bug.